package com.kcim.service;

import com.kcim.dao.model.Drug;
import com.kcim.dao.model.OrderItemMap;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @program: CostAccount
 * @description: 药品字典接口
 * @author: Wang.YS
 * @create: 2023-11-03 15:38
 **/
public interface DrugService {
    Object getDrugList(Integer current, Integer pageSize, String name, Integer stop);

    void addDrug(Drug request);

    void editDrug(Drug request);

    void deleteDrug(Integer id);

    Object exportDrug(HttpServletResponse response);

    void importDrug(MultipartFile file);

    Object getDrugType();

    List<OrderItemMap> getItemDict(String name);
}
